Wiikey 1 + 4.2 update?

Discussion in 'Wii - Hacking' started by Rajahten, May 21, 2010.

May 21, 2010

Wiikey 1 + 4.2 update? by Rajahten at 9:38 PM (5,280 Views / 0 Likes) 17 replies

  1. Rajahten
    OP

    Newcomer Rajahten Member

    Joined:
    Jan 6, 2010
    Messages:
    40
    Country:
    Canada
    Alright. So from what I've read so far, updating to 4.2 while you're using a wiikey 1 (legacy) will brick my wii?

    It is likely that Metroid Other M (original) will ask me to update when I go out and buy it, but, should I update? What will happen?

    Thanks for any input. I am confused =P
     
  2. Blue-K

    Member Blue-K No right of appeal.

    Joined:
    Jun 21, 2008
    Messages:
    2,572
    Location:
    Helvetica
    Country:
    Switzerland
    A few topics down there is nearly the same question...-.-'

    No, it won't brick you. But after it only your "Backups" from the region of your Wii will work. You'll have to use a Loader (like GeckoOS) instead of the Disc Channel for games which aren't from your region, or patch the menu with Startpatch or Priiloader.

    If you only use a ModChip, it won't do more than this. If you have a Homebrewchannel, cIOSes, etc., they are likely to get deleted/overwritten, but you can reinstall them.

    Decide for yourself if you want to update.
     
  3. Rajahten
    OP

    Newcomer Rajahten Member

    Joined:
    Jan 6, 2010
    Messages:
    40
    Country:
    Canada
    Ty sir. Sorry if I posted something that's been posted before. I searched a bit and didn't see any answers that relate to my problem =)

    Would you mind directing me to a link of a good guide on how to do one of those 2 things you mentioned? Preferably one that will less likely brick me!

    Also, originals will work after I update, right? Stupid question but I want to be sure.
     
  4. Fear_the_Tubes

    Newcomer Fear_the_Tubes Advanced Member

    Joined:
    Feb 13, 2010
    Messages:
    56
    Country:
    United States
    The retail games will continue to work.

    You can find the instructions for patching the system menu and/or using GeckoOS on this site: http://sites.google.com/site/completesg/

    You could also update to 4.1 manually and experience none of the problems with 4.2.
     
  5. Rajahten
    OP

    Newcomer Rajahten Member

    Joined:
    Jan 6, 2010
    Messages:
    40
    Country:
    Canada
    I have 4.1 right now I believe. But what I'm saying is when I Get new games, they will ask me to update. Metroid will undoubtedly ask me to update to 4.2 when it comes out.
     
  6. electrico

    Newcomer electrico Advanced Member

    Joined:
    Oct 9, 2008
    Messages:
    62
    Country:
    Greece
    No problem at all if you update,you can play downloaded isos and originals without a problem.The only problem that causes the update is that you will no more be able to play other region games.If you have Ntsc you won't be able to play Pal games, even if you regiofrii and brickblock your other region iso.You can only play other region games via softmod,homebrew.And that's happening because Nintendo have changed something in the region codes of the games in 4.2 update,don't know what exactly. [​IMG]
     
  7. hiver

    Newcomer hiver Member

    Joined:
    Nov 15, 2009
    Messages:
    46
    Country:
    United States
    I have a question so i have wiikey v1 at 1.9s and 4.2u on ntsc
    can this or will this play a backup of super mario galaxy 2 when it releases ?
    because when i bought nsmb because of the protection i could not make a successful homemade backup unless i was to add a form of

    any one have ideas about my setup and sgm2 ?
     
  8. Krestent

    Member Krestent What to post?

    Joined:
    Mar 31, 2009
    Messages:
    3,952
    Country:
    United States
    SMG2 is already leaked, an ANYTHING will play it as it has no AP
     
  9. Ignatius

    Newcomer Ignatius Member

    Joined:
    Jun 14, 2006
    Messages:
    17
    Country:
    Costa Rica
    I haven't updated my wii since the first mario galaxy came out.

    From what I've gathered so far. If i simply update the firmware of my wiikey to 1.9s and update the wii to the latest firmware from the console itself (no special homebrew stuff needed). Everything will work fine right and I can play Super mario galaxy 2 without a hitch? I understand I can only play the games in the region i'm in so that's not a big deal.

    I just want to double-check with you guys so i don't end up bricking or screwing up my wii from a simple stupid mistake.

    regards.
     
  10. Carnivean

    Member Carnivean STARMAN

    Joined:
    Jul 11, 2006
    Messages:
    425
    Location:
    UK
    Country:
    United Kingdom
    You will probably need to use gecko OS for newer games like NSMBWii etc. and anything with AP newer than galaxy 1's.
     
  11. Ignatius

    Newcomer Ignatius Member

    Joined:
    Jun 14, 2006
    Messages:
    17
    Country:
    Costa Rica
    thanks for the quick reply carnivean.

    I can actually play NSMB just fine with my current firmware (not sure which firmware i have exactly, dont have the wii here)

    Does this mean I can probably play galaxy 2?
     
  12. hiver

    Newcomer hiver Member

    Joined:
    Nov 15, 2009
    Messages:
    46
    Country:
    United States
    you can play the original nsmb on disc on wiikey v1
    but not a backup unless it is softmodded by gecko or some crap
    so i own no backup of nsmb
    but all other games ntsc or same region all still work at 4.2u and 1.9s firmware
    haven't came across one other game unplayable yet
     
  13. Ignatius

    Newcomer Ignatius Member

    Joined:
    Jun 14, 2006
    Messages:
    17
    Country:
    Costa Rica
    Whoops made a major mistake, i read nsmb as New Super Smash Brothers Brawl some how, don't ask me how that happened. lol

    So, the steps to playing Galaxy 2 will be :

    1. Update wiikey (v1) firmware to 1.9s
    2. Update wii from console to 4.2U
    3. Install Gecko OS

    Done?

    By the way, is there a really helpful place that explains how to install Gecko OS?
     
  14. Ignatius

    Newcomer Ignatius Member

    Joined:
    Jun 14, 2006
    Messages:
    17
    Country:
    Costa Rica
    I actually read that some people are successfully able to play Galaxy 2 with no softmodding like Gecko OS.

    Just having your wiikey updated to 1.9s and 4.2u should work. I'll know for sure in a few hours myself.

    If any others have tried out galaxy 2 on your wiikey (v1) already, let us know how it worked out for you.

    Best.
     
  15. Hakoda

    Member Hakoda GBAtemp Addict

    Joined:
    Feb 2, 2008
    Messages:
    2,133
    Location:
    San Jose, CA
    Country:
    United States
    I used to have WiiKey 1 (i have WiiKey 2 now). I believe SMG2 will play just fine without any softmodding. As for the statement saying that NSMB wouldn't play without a softmod, that's not true. NSMB could play, just with a trucha patched IOS 53 & System IOS (3.2-3.4 = IOS30, 4.0/4.1= IOS60, 4.2=IOS70). I don't remember if the game's main.dol had to be patched in order for it to work but I still have that patched main.dol on my computer so I guess it did. NSMB played straight out of the Disc Channel, no backup loader.
     
  16. Ignatius

    Newcomer Ignatius Member

    Joined:
    Jun 14, 2006
    Messages:
    17
    Country:
    Costa Rica
    Alrighty, for anyone who has a wiikey (v1). All you gotta do to play galaxy 2 is update the wiikey to 1.9s and update the wii to 4.2U and the game will work like a charm.

    I'm at 30 stars already, amazing game.
     
  17. Rajahten
    OP

    Newcomer Rajahten Member

    Joined:
    Jan 6, 2010
    Messages:
    40
    Country:
    Canada
    Nice! Did you update to 4.2 via wi-fi, or from the SMG2 disc?
     
  18. Hartmann

    Newcomer Hartmann Newbie

    Joined:
    Sep 26, 2010
    Messages:
    3
    Country:
    Canada
    Hi guys, I've just joined as this seems to be the only site I can understand the advice from...
    I'm trying to find out how i can play my store bought copy of Metroid Other M on my Wiikey 1 modded system.
    Currently I get a disk error every time.

    I have not yet updated to the Wiikey 1.9. I did do the latest menu update from Nintendo though.

    What can I do next to get it to work??
     

Share This Page